class Dayoff < PersonalPluginIntro

	include Mongoid::Document
	include Mongoid::Timestamps

	belongs_to :member_log, :dependent => :destroy


	field :dayoff_description, localize: true
  field :start_dayoff, :type => DateTime
  field :end_dayoff, :type => DateTime

	validates :start_dayoff, :presence => true
	validates :end_dayoff, :presence => true

end