class MemberLog
	include Mongoid::Document
	include Mongoid::Timestamps
  include MemberHelper
  include Slug


	field :todo, as: :slug_title, type: String, localize: true
  field :complete, localize: true
  field :excuse, localize: true
  field :finish, :type => Boolean, :default => false
  field :checkout, :type => DateTime
  field :dayoff, :type => Boolean, :default => false

 	belongs_to :member_profile
  has_many :dayoffs

end